View Issue Details

IDProjectCategoryView StatusLast Update
0023435LazarusLazReportpublic2012-12-09 16:04
ReporterChristian OrtizAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0023435: no update canvas in QT (Alt + cursor)
DescriptionI use lazarus 1.0.4, solved the problem to update canvas when move the objects with the mouse, but not when you move the objects using
Alt + →
Alt + ↓
Alt + ↑
Alt + ←
TagsNo tags attached.
Fixed in Revision39477
LazTarget1.2
WidgetsetQT
Attached Files
  • lazreport-fixQt.diff (793 bytes)
    Index: components/lazreport/source/lr_desgn.pas
    ===================================================================
    --- components/lazreport/source/lr_desgn.pas	(revisión: 39445)
    +++ components/lazreport/source/lr_desgn.pas	(copia de trabajo)
    @@ -1840,8 +1840,8 @@
       Moved := True;
       w := 2;
     
    -  {$ifdef LCLQt}if Down then Invalidate;{$endif}
    -  {$ifdef LCLCarbon}if Down then Invalidate;{$endif}
    +  //{$ifdef LCLQt}if Down then Invalidate;{$endif}
    +  //{$ifdef LCLCarbon}if Down then Invalidate;{$endif}
     
       if FirstChange and Down and not RFlag then
       begin
    @@ -2342,6 +2342,8 @@
         DeleteObject(hr1);
         Draw(10000, hr);
       end;
    +  {$IFDEF LCLQt}Invalidate;{$endif}
    +  {$IFDEF LCLCarbon}Invalidate;{$endif}
     end;
     
     procedure TfrDesignerPage.CMMouseLeave(var Message: TLMessage);
    
    lazreport-fixQt.diff (793 bytes)

Activities

Julio Jiménez Borreguero

2012-12-05 16:31

reporter   ~0064160

Last edited: 2012-12-05 16:39

Patch attached (lazarus trunk).

This patch will fix moving/resizing objects in lazreport using QT widgetset.

2012-12-05 16:32

 

lazreport-fixQt.diff (793 bytes)
Index: components/lazreport/source/lr_desgn.pas
===================================================================
--- components/lazreport/source/lr_desgn.pas	(revisión: 39445)
+++ components/lazreport/source/lr_desgn.pas	(copia de trabajo)
@@ -1840,8 +1840,8 @@
   Moved := True;
   w := 2;
 
-  {$ifdef LCLQt}if Down then Invalidate;{$endif}
-  {$ifdef LCLCarbon}if Down then Invalidate;{$endif}
+  //{$ifdef LCLQt}if Down then Invalidate;{$endif}
+  //{$ifdef LCLCarbon}if Down then Invalidate;{$endif}
 
   if FirstChange and Down and not RFlag then
   begin
@@ -2342,6 +2342,8 @@
     DeleteObject(hr1);
     Draw(10000, hr);
   end;
+  {$IFDEF LCLQt}Invalidate;{$endif}
+  {$IFDEF LCLCarbon}Invalidate;{$endif}
 end;
 
 procedure TfrDesignerPage.CMMouseLeave(var Message: TLMessage);
lazreport-fixQt.diff (793 bytes)

Jesus Reyes

2012-12-07 21:43

developer   ~0064191

Applied, thanks.

Christian Ortiz

2012-12-09 16:04

reporter   ~0064214

Last edited: 2012-12-09 20:47

so, where can i download the stable version?

Issue History

Date Modified Username Field Change
2012-12-05 03:12 Christian Ortiz New Issue
2012-12-05 03:12 Christian Ortiz Widgetset => QT
2012-12-05 16:31 Julio Jiménez Borreguero Note Added: 0064160
2012-12-05 16:32 Julio Jiménez Borreguero File Added: lazreport-fixQt.diff
2012-12-05 16:39 Julio Jiménez Borreguero Note Edited: 0064160
2012-12-05 19:07 Zeljan Rikalo Status new => assigned
2012-12-05 19:07 Zeljan Rikalo Assigned To => Jesus Reyes
2012-12-07 21:43 Jesus Reyes Fixed in Revision => 39477
2012-12-07 21:43 Jesus Reyes LazTarget => 1.2
2012-12-07 21:43 Jesus Reyes Status assigned => resolved
2012-12-07 21:43 Jesus Reyes Fixed in Version => 1.1 (SVN)
2012-12-07 21:43 Jesus Reyes Resolution open => fixed
2012-12-07 21:43 Jesus Reyes Note Added: 0064191
2012-12-07 21:43 Jesus Reyes Target Version => 1.2.0
2012-12-09 16:04 Christian Ortiz Note Added: 0064214
2012-12-09 20:47 Christian Ortiz Note Edited: 0064214